designToLight:
label: Design to Light
icon: leaf

fields:
  hasOptimizationRequest:
    type: hidden
    default: "false"
  optimizationRequestDetails:
    label: Demande de rendez-vous
    type: textarea
    disabled: true
    when:
      hasOptimizationRequest: "true"
  isDTLEnabled:
    label: Actif
    type: toggle
    default: false
    width: 2/10
  dtlProposals:
    label: Propositions
    type: structure
    when:
      isDTLEnabled: true
    help: |
      **La première proposition correspond au projet initial. Les propositions suivantes constituent des alternatives.**
      Pour déplacer une proposition, survolez son index puis cliquez-glissez la poignée ⁝⁝
    width: 8/10
    columns:
      DTLProposalTitle:
        label: Titre
        width: 4/10
      DTLProposalLocation:
        label: Localisation
        width: 4/10
      DTLGrade:
        label: Note globale
        width: 2/10
        after: / 10
        help: Modifiez les mentions et commentaires associés aux notes [ici](/pages/design-to-light?tab=grades).

    fields:
      DTLTargetHeadline:
        type: headline
        label: La proposition

      DTLProposalTitle:
        label: Titre
        type: text
      DTLProposalLocation:
        label: Localisation
        help: Quelle étape contient la proposition Design to Light ?
        type: radio
        options:
          proposal: Proposition commerciale
          industrialIdeation: Idéation industrielle
          virtualSampleDynamicTrack: Échantillon virtuel - piste dynamique
          virtualSampleStaticTrack: Échantillon virtuel - piste statique
        width: 1/2

      DTLproposal:
        label: Fichier
        type: files
        multiple: false
        query: page.find('proposal').pdf.toFiles
        width: 1/2
        when:
          DTLProposalLocation: proposal

      DTLindustrialIdeation:
        label: Fichier
        type: files
        multiple: false
        query: page.find('industrial-ideation').files
        width: 1/2
        when:
          DTLProposalLocation: industrialIdeation

      DTLVirtualSampleDynamicTrack:
        label: Piste dynamique
        type: pages
        multiple: false
        query: page.find('virtual-sample').children
        width: 1/2
        when:
          DTLProposalLocation: virtualSampleDynamicTrack

      DTLVirtualSampleStaticTrack:
        label: Piste statique
        type: files
        multiple: false
        query: page.find('virtual-sample').rawGlass.toFiles.add(page.find('virtual-sample').finishedGlass.toFile)
        width: 1/2
        when:
          DTLProposalLocation: virtualSampleStaticTrack

      separator:
        type: line

      evaluationHeadline:
        type: headline
        label: L'évaluation

      DTLGrade:
        label: Note globale
        type: range
        min: 0
        max: 10
        default: 5
        tooltip:
          after: / 10

      positionHeadline:
        type: headline
        label: Positionnement

      DTLComplexityGrade:
        label: Complexité
        type: range
        before: Complexe
        min: -5
        max: 5
        after: Sobre
        default: 0
        help: Axe horizontal (X) du graph
        width: 1/2
      DTLWeightGrade:
        label: Poids
        type: range
        before: Lourd
        min: -5
        max: 5
        after: Léger
        default: 0
        help: Axe vertical (Y) du graph
        width: 1/2

      indicatorsHeadline:
        type: headline
        label: Indicateurs

      DTLDesignGrade:
        label: Design global
        type: range
        min: -5
        max: 5
        width: 1/3
        default: 0
      DTLRingGrade:
        label: Bague
        type: range
        min: -5
        max: 5
        width: 1/3
        default: 0
      DTLShoulderGrade:
        label: Épaule
        type: range
        min: -5
        max: 5
        width: 1/3
        default: 0
      DTLSkeletonGrade:
        label: Colonne et arêtes
        type: range
        min: -5
        max: 5
        width: 1/3
        default: 0
      DTLFootGrade:
        label: Pied
        type: range
        min: -5
        max: 5
        width: 1/3
        default: 0
      DTLBottomGrade:
        label: Fond de verre
        type: range
        min: -5
        max: 5
        width: 1/3
        default: 0
